/* $Header: /nw/tony/src/stevie/src/RCS/hexchars.c,v 1.4 89/03/11 22:42:27 tony Exp $
 *
 * Contains information concerning the representation of characters for
 * visual output by the editor.
 */

#include "stevie.h"

/*
 * This file shows how to display characters on the screen. This is
 * approach is something of an overkill. It's a remnant from the
 * original code that isn't worth messing with for now. TABS are
 * special-cased depending on the value of the "list" parameter.
 *
 * Expanded to 256 entries.  Earle R. Horton 11/22/89
 */

struct charinfo chars[] = {
	/* 000 */	1, NULL,
	/* 001 */	2, "^A",
	/* 002 */	2, "^B",
	/* 003 */	2, "^C",
	/* 004 */	2, "^D",
	/* 005 */	2, "^E",
	/* 006 */	2, "^F",
	/* 007 */	2, "^G",
	/* 010 */	2, "^H",
	/* 011 */	2, "^I",
	/* 012 */	7, "[ERROR]",	/* shouldn't occur */
	/* 013 */	2, "^K",
	/* 014 */	2, "^L",
	/* 015 */	2, "^M",
	/* 016 */	2, "^N",
	/* 017 */	2, "^O",
	/* 020 */	2, "^P",
	/* 021 */	2, "^Q",
	/* 022 */	2, "^R",
	/* 023 */	2, "^S",
	/* 024 */	2, "^T",
	/* 025 */	2, "^U",
	/* 026 */	2, "^V",
	/* 027 */	2, "^W",
	/* 030 */	2, "^X",
	/* 031 */	2, "^Y",
	/* 032 */	2, "^Z",
	/* 033 */	2, "^[",
	/* 034 */	2, "^\\",
	/* 035 */	2, "^]",
	/* 036 */	2, "^^",
	/* 037 */	2, "^_",
	/* 040 */	1, NULL,
	/* 041 */	1, NULL,
	/* 042 */	1, NULL,
	/* 043 */	1, NULL,
	/* 044 */	1, NULL,
	/* 045 */	1, NULL,
	/* 046 */	1, NULL,
	/* 047 */	1, NULL,
	/* 050 */	1, NULL,
	/* 051 */	1, NULL,
	/* 052 */	1, NULL,
	/* 053 */	1, NULL,
	/* 054 */	1, NULL,
	/* 055 */	1, NULL,
	/* 056 */	1, NULL,
	/* 057 */	1, NULL,
	/* 060 */	1, NULL,
	/* 061 */	1, NULL,
	/* 062 */	1, NULL,
	/* 063 */	1, NULL,
	/* 064 */	1, NULL,
	/* 065 */	1, NULL,
	/* 066 */	1, NULL,
	/* 067 */	1, NULL,
	/* 070 */	1, NULL,
	/* 071 */	1, NULL,
	/* 072 */	1, NULL,
	/* 073 */	1, NULL,
	/* 074 */	1, NULL,
	/* 075 */	1, NULL,
	/* 076 */	1, NULL,
	/* 077 */	1, NULL,
	/* 100 */	1, NULL,
	/* 101 */	1, NULL,
	/* 102 */	1, NULL,
	/* 103 */	1, NULL,
	/* 104 */	1, NULL,
	/* 105 */	1, NULL,
	/* 106 */	1, NULL,
	/* 107 */	1, NULL,
	/* 110 */	1, NULL,
	/* 111 */	1, NULL,
	/* 112 */	1, NULL,
	/* 113 */	1, NULL,
	/* 114 */	1, NULL,
	/* 115 */	1, NULL,
	/* 116 */	1, NULL,
	/* 117 */	1, NULL,
	/* 120 */	1, NULL,
	/* 121 */	1, NULL,
	/* 122 */	1, NULL,
	/* 123 */	1, NULL,
	/* 124 */	1, NULL,
	/* 125 */	1, NULL,
	/* 126 */	1, NULL,
	/* 127 */	1, NULL,
	/* 130 */	1, NULL,
	/* 131 */	1, NULL,
	/* 132 */	1, NULL,
	/* 133 */	1, NULL,
	/* 134 */	1, NULL,
	/* 135 */	1, NULL,
	/* 136 */	1, NULL,
	/* 137 */	1, NULL,
	/* 140 */	1, NULL,
	/* 141 */	1, NULL,
	/* 142 */	1, NULL,
	/* 143 */	1, NULL,
	/* 144 */	1, NULL,
	/* 145 */	1, NULL,
	/* 146 */	1, NULL,
	/* 147 */	1, NULL,
	/* 150 */	1, NULL,
	/* 151 */	1, NULL,
	/* 152 */	1, NULL,
	/* 153 */	1, NULL,
	/* 154 */	1, NULL,
	/* 155 */	1, NULL,
	/* 156 */	1, NULL,
	/* 157 */	1, NULL,
	/* 160 */	1, NULL,
	/* 161 */	1, NULL,
	/* 162 */	1, NULL,
	/* 163 */	1, NULL,
	/* 164 */	1, NULL,
	/* 165 */	1, NULL,
	/* 166 */	1, NULL,
	/* 167 */	1, NULL,
	/* 170 */	1, NULL,
	/* 171 */	1, NULL,
	/* 172 */	1, NULL,
	/* 173 */	1, NULL,
	/* 174 */	1, NULL,
	/* 175 */	1, NULL,
	/* 176 */	1, NULL,
	/* 177 */	2, "^?",

	/* 201 */	1, NULL,
	/* 202 */	1, NULL,
	/* 203 */	1, NULL,
	/* 204 */	1, NULL,
	/* 205 */	1, NULL,
	/* 206 */	1, NULL,
	/* 207 */	1, NULL,
	/* 210 */	1, NULL,
	/* 211 */	1, NULL,
	/* 212 */	1, NULL,
	/* 213 */	1, NULL,
	/* 214 */	1, NULL,
	/* 215 */	1, NULL,
	/* 216 */	1, NULL,
	/* 217 */	1, NULL,
	/* 220 */	1, NULL,
	/* 220 */	1, NULL,
	/* 221 */	1, NULL,
	/* 222 */	1, NULL,
	/* 223 */	1, NULL,
	/* 224 */	1, NULL,
	/* 225 */	1, NULL,
	/* 226 */	1, NULL,
	/* 227 */	1, NULL,
	/* 230 */	1, NULL,
	/* 231 */	1, NULL,
	/* 232 */	1, NULL,
	/* 233 */	1, NULL,
	/* 234 */	1, NULL,
	/* 235 */	1, NULL,
	/* 236 */	1, NULL,
	/* 237 */	1, NULL,
	/* 240 */	1, NULL,
	/* 241 */	1, NULL,
	/* 242 */	1, NULL,
	/* 243 */	1, NULL,
	/* 244 */	1, NULL,
	/* 245 */	1, NULL,
	/* 246 */	1, NULL,
	/* 247 */	1, NULL,
	/* 250 */	1, NULL,
	/* 251 */	1, NULL,
	/* 252 */	1, NULL,
	/* 253 */	1, NULL,
	/* 254 */	1, NULL,
	/* 255 */	1, NULL,
	/* 256 */	1, NULL,
	/* 257 */	1, NULL,
	/* 260 */	1, NULL,
	/* 261 */	1, NULL,
	/* 262 */	1, NULL,
	/* 263 */	1, NULL,
	/* 264 */	1, NULL,
	/* 265 */	1, NULL,
	/* 266 */	1, NULL,
	/* 267 */	1, NULL,
	/* 270 */	1, NULL,
	/* 271 */	1, NULL,
	/* 272 */	1, NULL,
	/* 273 */	1, NULL,
	/* 274 */	1, NULL,
	/* 275 */	1, NULL,
	/* 276 */	1, NULL,
	/* 277 */	1, NULL,
	/* 301 */	1, NULL,
	/* 302 */	1, NULL,
	/* 303 */	1, NULL,
	/* 304 */	1, NULL,
	/* 305 */	1, NULL,
	/* 306 */	1, NULL,
	/* 307 */	1, NULL,
	/* 310 */	1, NULL,
	/* 311 */	1, NULL,
	/* 312 */	1, NULL,
	/* 313 */	1, NULL,
	/* 314 */	1, NULL,
	/* 315 */	1, NULL,
	/* 316 */	1, NULL,
	/* 317 */	1, NULL,
	/* 320 */	1, NULL,
	/* 320 */	1, NULL,
	/* 321 */	1, NULL,
	/* 322 */	1, NULL,
	/* 323 */	1, NULL,
	/* 324 */	1, NULL,
	/* 325 */	1, NULL,
	/* 326 */	1, NULL,
	/* 327 */	1, NULL,
	/* 330 */	1, NULL,
	/* 331 */	1, NULL,
	/* 332 */	1, NULL,
	/* 333 */	1, NULL,
	/* 334 */	1, NULL,
	/* 335 */	1, NULL,
	/* 336 */	1, NULL,
	/* 337 */	1, NULL,
	/* 340 */	1, NULL,
	/* 341 */	1, NULL,
	/* 342 */	1, NULL,
	/* 343 */	1, NULL,
	/* 344 */	1, NULL,
	/* 345 */	1, NULL,
	/* 346 */	1, NULL,
	/* 347 */	1, NULL,
	/* 350 */	1, NULL,
	/* 351 */	1, NULL,
	/* 352 */	1, NULL,
	/* 353 */	1, NULL,
	/* 354 */	1, NULL,
	/* 355 */	1, NULL,
	/* 356 */	1, NULL,
	/* 357 */	1, NULL,
	/* 360 */	1, NULL,
	/* 361 */	1, NULL,
	/* 362 */	1, NULL,
	/* 363 */	1, NULL,
	/* 364 */	1, NULL,
	/* 365 */	1, NULL,
	/* 366 */	1, NULL,
	/* 367 */	1, NULL,
	/* 370 */	1, NULL,
	/* 371 */	1, NULL,
	/* 372 */	1, NULL,
	/* 373 */	1, NULL,
	/* 374 */	1, NULL,
	/* 375 */	1, NULL,
	/* 376 */	1, NULL,
	/* 377 */	1, NULL
};
