/* Create the version string for Kermit with the last compi-	*/
/* lation time. Compile this resource definition with Rez.	*/
/* Created: 10/12/87 Matthias Aebi				*/
/* Modifications:						*/
/*	Adopted for use with Stevie by Earle Horton		*/

#include "Types.r"

type 'STvi' {
	byte = 36;		/* the string length */
	array CompileTime {
		string;
		byte;		/* month first digit */
		byte;		/* month second digit */
		byte = '/';
		byte;		/* day first digit */
		byte;		/* day second digit */
		byte = '/';
		byte;		/* year first digit */
		byte;		/* year second digit */
		byte = ' ';
		byte;		/* hour first digit */
		byte;		/* hour second digit */
		byte = ':';
		byte;		/* minute first digit */
		byte;		/* minute second digit */
	};
};

resource 'STvi' (0) {
	{	"Stevie Version 3.10  ",
		($$Month/10)+48,
		($$Month%10)+48,
		($$Day/10)+48,
		($$Day%10)+48,
		($$Year%100/10)+48,
		($$Year%10)+48,
		($$Hour/10)+48,
		($$Hour%10)+48,
		($$Minute/10)+48,
		($$Minute%10)+48
	}
};
resource 'ICN#' (129) {
	{
		$"0000 0000 0000 0000 0000 0000 7FFF FF00"
		$"4000 0180 4000 0140 4F9F 0120 4884 01F0"
		$"4804 0010 4804 0090 4F84 0010 4084 8990"
		$"4084 8890 4884 5090 4F84 2090 4000 0010"
		$"4000 0010 4F9F 0010 4884 0010 4804 0010"
		$"4804 0010 4804 0110 4F84 0010 4084 8B10"
		$"4084 8910 4084 5110 4884 2110 4F84 0010"
		$"4000 0010 4000 0010 7FFF FFF0",
		$"0000 0000 0000 0000 0000 0000 7FFF FF00"
		$"7FFF FF80 7FFF FFC0 7FFF FFE0 7FFF FFF0"
		$"7FFF FFF0 7FFF FFF0 7FFF FFF0 7FFF FFF0"
		$"7FFF FFF0 7FFF FFF0 7FFF FFF0 7FFF FFF0"
		$"7FFF FFF0 7FFF FFF0 7FFF FFF0 7FFF FFF0"
		$"7FFF FFF0 7FFF FFF0 7FFF FFF0 7FFF FFF0"
		$"7FFF FFF0 7FFF FFF0 7FFF FFF0 7FFF FFF0"
		$"7FFF FFF0 7FFF FFF0 7FFF FFF0"
	}
};

resource 'ICN#' (128) {
	{
		$"0000 0000 7FFF FFF0 7FC0 0FF0 7FFF FFFC"
		$"4000 001F 4000 001F 4F9F 0017 4884 0015"
		$"4804 0015 4804 0095 4F84 0015 4084 8995"
		$"4084 8895 4884 5095 4F84 2095 4000 0015"
		$"4000 0015 4000 0015 4000 0015 4000 0015"
		$"4000 0015 7FFF FFF5 1000 0005 1FFF FFFD"
		$"0400 0001 07FF FFFF",
		$"0000 0000 7FFF FFF0 7FFF FFF0 7FFF FFFC"
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFF"
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFF"
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFF"
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFF"
		$"7FFF FFFF 7FFF FFFF 1FFF FFFF 1FFF FFFF"
		$"07FF FFFF 07FF FFFF"
	}
};

resource 'BNDL' (128) {
	'STvi',
	0,
	{
		'ICN#',
		{
			0, 128,
			1, 129
		},
		'FREF',
		{
			0, 128,
			1, 129
		}
	}
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'FREF' (129) {
	'TEXT',
	1,
	""
};
/*
 * Pseudo environment variables for Stevie.  Current
 * recognized strings are "EXINIT," "LINES," and "TAGS."
 */
resource 'STR ' (128,"EXINIT") {
	"set lines=25 tabstop=4 ai sm"
};
resource 'STR ' (129,"TAGS") {
	"Q80:mpw:tags"
};
resource 'SIZE' (-1) {
	saveScreen,
	ignoreSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	notMultiFinderAware,
	backgroundAndForeGround,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	not32BitCompatible,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	262144,
	262144
};

resource 'SIZE' (0) {
	saveScreen,
	ignoreSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	notMultiFinderAware,
	backgroundAndForeGround,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	not32BitCompatible,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	262144,
	262144
};


resource 'MENU' (255) {
	255,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{
		"About ", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (256) {
	256,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	{
		"Quit", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (257) {
	257,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	"Edit",
	{	/* array: 5 elements */
		/* [1] */
		"Undo", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, noKey, noMark, plain,
		/* [4] */
		"Copy", noIcon, noKey, noMark, plain,
		/* [5] */
		"Paste", noIcon, noKey, noMark, plain
	}
};

resource 'ALRT' (128) {
	{40, 40, 240, 280},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'DITL' (128) {
	{
		{163, 89, 183, 149},
		Button {
			enabled,
			"OK"
		},
		{33, 10, 108, 229},
		StaticText {
			enabled,
			"Excuse me, but there seems to be a memory problem.  ^0 exits."
		},
		{111, 103, 143, 135},
		Icon {
			enabled,
			0
		}
	}
};

